package lsgui.jna.data;

/**
 * LS² and verify result data.
 * <p>
 * Also used for algorithm comparison and lower bound evaluation.
 */
public class LS2Result {
    
    public int width;
    public int height;
    public float[][] data;
    
    public static final int WIDTH_DEFAULT = 1000;
    public static final int HEIGHT_DEFAULT = 1000;
    public static final float ERROR = Float.NaN;

    public LS2Result() {
        this(WIDTH_DEFAULT, HEIGHT_DEFAULT);
    }
    
    public LS2Result(int width, int height) {
        this.width = width;
        this.height = height;
    }
    
    public void initData(int size) {
        data = new float[size][];
    }
    
    public void initDataAt(int idx) {
        data[idx] = new float[getSize()];
    }
    
    public int getSize() {
        return getSize0();
    }
    
    public static boolean isError(float value) {
        return Float.isNaN(value);
    }
    
    private int getSize0() {
        return width * height;
    }
    
}
